// components/List/index.js
Component({
    /**
     * 组件的属性列表
     */
    properties: {
        url: {
            type: String
        },
        dataPath: {
            type: String
        },
        list: {
            type: Array
        },
        params: {
            type: Object,
        },
        limit: {
            type: Number,
            value: 10
        },
        scrolling:{
            type:Boolean,
            value:true,
        },
        emptyText:{
            type:String,
            value:""
        }
    },

    /**
     * 组件的初始数据
     */
    data: {
        page: 1,
        limit: 10,
        loading: false
    },

    /**
     * 组件的方法列表
     */
    methods: {

    }
})
